Subject: Re: powerpc boot sequence rework

From: Simon Richter <[email-masked]>
Date: Tue, 22 Nov 2005 16:26:43 +0100

Hi,

Benjamin Herrenschmidt wrote:

> Here's a quick review of what happens now before my intended changes and
> some hilights of the ppc32/ppc64 differences. I intentionally ignored
> APUS as I don't even pretend to understand what it does, it will have to
> adapt to our changes anyway :)

Heh. I was anticipating this since the Oldenburg meeting.

>  - Very early trampoline code from the firmware (prom_init/bootx_init)
> that could eventually be moved to a boot wrapper but is currently kept
> in the kernel for convenience.

That answers my question whether I should have the code that builds the 
flattened device tree in the kernel or in the bootloader.

    Simon